Skip to main content
GET
/
contracts
/
integration
/
{integrationType}
/
{integrationId}
Get contract by integration id
curl --request GET \
  --url https://connect.withvayu.com/contracts/integration/{integrationType}/{integrationId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://connect.withvayu.com/contracts/integration/{integrationType}/{integrationId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://connect.withvayu.com/contracts/integration/{integrationType}/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "contract": {
    "startDate": "2023-11-07T05:31:56Z",
    "customerId": "<string>",
    "name": "<string>",
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "salesForceOpportunityId": "<string>",
    "endDate": "2023-11-07T05:31:56Z",
    "signatureDate": "2023-11-07T05:31:56Z",
    "products": [
      {
        "displayName": "<string>",
        "scheduling": {
          "duration": {
            "unit": "MONTH",
            "value": 500
          },
          "billingDay": 1
        },
        "pricing": {
          "type": "ONE_TIME",
          "price": 1,
          "discount": {
            "name": "<string>",
            "amount": 1,
            "recurring": 2
          },
          "isCreditPurchase": true
        },
        "description": "<string>",
        "catalogProductId": "<string>",
        "productErpId": "<string>",
        "nsClass": "<string>",
        "nsClassId": "<string>",
        "commitment": {
          "units": 1,
          "price": 1,
          "type": "UNITS",
          "scheduling": {
            "duration": {
              "unit": "MONTH",
              "value": 500
            },
            "billingDay": 1
          },
          "overageStrategy": "IGNORE"
        },
        "isCalendarAligned": true,
        "cloudProviderSettings": {
          "cloudProvider": "AWS",
          "cloudProviderMarketplaceId": "<string>",
          "dimension": "<string>"
        }
      }
    ],
    "productGroups": [
      {
        "displayName": "<string>",
        "products": [
          {
            "displayName": "<string>",
            "scheduling": {
              "duration": {
                "unit": "MONTH",
                "value": 500
              },
              "billingDay": 1
            },
            "pricing": {
              "type": "ONE_TIME",
              "price": 1,
              "discount": {
                "name": "<string>",
                "amount": 1,
                "recurring": 2
              },
              "isCreditPurchase": true
            },
            "description": "<string>",
            "catalogProductId": "<string>",
            "productErpId": "<string>",
            "nsClass": "<string>",
            "nsClassId": "<string>",
            "commitment": {
              "units": 1,
              "price": 1,
              "type": "UNITS",
              "scheduling": {
                "duration": {
                  "unit": "MONTH",
                  "value": 500
                },
                "billingDay": 1
              },
              "overageStrategy": "IGNORE"
            },
            "isCalendarAligned": true,
            "cloudProviderSettings": {
              "cloudProvider": "AWS",
              "cloudProviderMarketplaceId": "<string>",
              "dimension": "<string>"
            }
          }
        ],
        "description": "<string>",
        "productErpId": "<string>",
        "nsClass": "<string>",
        "nsClassId": "<string>",
        "baseAmount": 123,
        "commitment": {
          "units": 1,
          "price": 1,
          "type": "UNITS",
          "scheduling": {
            "duration": {
              "unit": "MONTH",
              "value": 500
            },
            "billingDay": 1
          },
          "overageStrategy": "IGNORE"
        },
        "isCalendarAligned": true
      }
    ],
    "accountManager": "<string>",
    "shouldProRateInvoices": true,
    "autoRenewContract": true,
    "customFields": [
      {
        "vayuCustomFieldName": "<string>",
        "fieldPath": "<string>",
        "value": "<unknown>"
      }
    ],
    "customFieldValues": [
      {
        "customFieldDefinitionId": "<string>",
        "value": "<string>",
        "fieldName": "<string>"
      }
    ],
    "purchaseOrder": "<string>"
  }
}
{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}
{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}
{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}
{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}
{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationType
enum<string>
required
Available options:
Hubspot,
Stripe,
NetSuite,
Salesforce,
QuickBooks,
Slack,
S3,
Vayu,
Morning,
Anrok,
Snowflake,
Connact,
Xero
integrationId
string
required

Response

Response contains the contract matching the provided integration id

contract
object